#!/usr/bin/env python3

import sys

import i3ipc

i3 = i3ipc.Connection()

if len(sys.argv) == 1:
    focused = i3.get_tree().find_focused()
    print("\n".join(focused.marks))
else:
    i3.command(f"mark --toggle --add {sys.argv[1]}")
